> ## Documentation Index
> Fetch the complete documentation index at: https://modulate.aurorapayments.net/llms.txt
> Use this file to discover all available pages before exploring further.

# List Transactions

> Paginated transaction detail list for a merchant with card brand and batch filters.



## OpenAPI

````yaml GET /api/partner/merchants/{merchant_id}/transactions
openapi: 3.0.3
info:
  title: Partner API
  description: External API for ISO partners to access merchant data, pricing, and reports
  version: 0.1.0
servers: []
security: []
paths:
  /api/partner/merchants/{merchant_id}/transactions:
    get:
      tags:
        - Transactions
        - Transactions
      summary: List transactions
      description: >-
        Paginated transaction detail list for a merchant with card brand and
        batch filters.
      operationId: get_transactions_api_partner_merchants__merchant_id__transactions_get
      parameters:
        - name: merchant_id
          in: path
          required: true
          schema:
            type: string
            minLength: 1
            maxLength: 50
            description: Merchant ID
            title: Merchant Id
          description: Merchant ID
          example: '1234567890'
        - name: date_from
          in: query
          required: false
          schema:
            type: string
            format: date
            description: Start date (YYYY-MM-DD)
            title: Date From
            nullable: true
          description: Start date (YYYY-MM-DD)
          example: '2025-01-01'
        - name: date_to
          in: query
          required: false
          schema:
            type: string
            format: date
            description: End date (YYYY-MM-DD)
            title: Date To
            nullable: true
          description: End date (YYYY-MM-DD)
          example: '2025-01-31'
        - name: timezone
          in: query
          required: false
          schema:
            type: string
            maxLength: 50
            description: IANA timezone for date boundaries
            default: UTC
            title: Timezone
            nullable: true
          description: IANA timezone for date boundaries
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            description: Page number
            default: 1
            title: Page
          description: Page number
          example: 1
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            description: Items per page
            default: 25
            title: Page Size
          description: Items per page
          example: 25
        - name: card_brand
          in: query
          required: false
          schema:
            type: string
            maxLength: 50
            description: Filter by card brand (Visa, Mastercard, etc.)
            title: Card Brand
            nullable: true
          description: Filter by card brand (Visa, Mastercard, etc.)
        - name: card_type
          in: query
          required: false
          schema:
            type: string
            maxLength: 50
            description: Filter by card type (credit, debit)
            title: Card Type
            nullable: true
          description: Filter by card type (credit, debit)
        - name: batch_id
          in: query
          required: false
          schema:
            type: string
            maxLength: 100
            description: Filter by settlement batch ID
            title: Batch Id
            nullable: true
          description: Filter by settlement batch ID
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '401':
          description: Missing or invalid API key
        '403':
          description: Merchant not in portfolio or insufficient scope
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '429':
          description: Rate limit exceeded
        '503':
          description: Transaction data source unavailable
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````